import request from '@/utils/request'

// 查询环境维护列表
export function listEnvironment(query) {
  return request({
    url: '/deployment/environment/list',
    method: 'get',
    params: query
  })
}

// 查询环境维护详细
export function getEnvironment(id) {
  return request({
    url: '/deployment/environment/' + id,
    method: 'get'
  })
}

// 新增环境维护
export function addEnvironment(data) {
  return request({
    url: '/deployment/environment',
    method: 'post',
    data: data
  })
}

// 修改环境维护
export function updateEnvironment(data) {
  return request({
    url: '/deployment/environment',
    method: 'put',
    data: data
  })
}

// 删除环境维护
export function delEnvironment(id) {
  return request({
    url: '/deployment/environment/' + id,
    method: 'delete'
  })
}
